Bug 62252 - ifconfig does not bring up eth0:1 in situation of bug 61705
Summary: ifconfig does not bring up eth0:1 in situation of bug 61705
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: net-tools   
(Show other bugs)
Version: skipjack-beta1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-28 21:02 UTC by Need Real Name
Modified: 2015-03-05 01:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 21:02:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-28 21:02:44 UTC
Description of Problem: 

On Dell I7000 laptop with Dynalink L10C pccard ethernet adapter attached to
Linksys router via hub using dhcpcd I experience bug 61705.
I also use an alias eth0:1 for my home network.
As is known after booting 'ifup eth0' brings up eth0 + eth0:1 + dhcpcd.
However 'ifconfig eth0 up' only brings up eth0 but not eth0:1
And 'ifconfig eth0:1' does not work at all, it does nothing with error message
"SIOCSIFFLAGS: Cannot assign requested adress".
(of course ifconfig does not start dhcpcd).

Version-Release number of selected component (if applicable):

net-tools-1.60-3

How Reproducible:

Everytime

Steps to Reproduce:

1. bug 61705 exist for laptop after configuration of networking eth0 + eth0:1 +     
   dhcpcd
2. boot laptop
3. do '/sbin/ifconfig eth0 up' and '/sbin/ifconfig eth0:1 up'

Actual Results:


Expected Results:


Additional Information:

Comment 1 Bill Nottingham 2002-04-01 20:32:41 UTC
ifconfig is the raw device manipulation tool; it doesn't handle associated
aliases like that. Use ifup instead.


Note You need to log in before you can comment on or make changes to this bug.